Package sudoku.io

# Class SudokuPrinter

java.lang.Object
sudoku.io.SudokuPrinter

public class SudokuPrinter extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANSI_BLUE`
  `static final String`
  `ANSI_CYAN`
  `static final String`
  `ANSI_GREEN`
  `static final String`
  `ANSI_PURPLE`
  `static final String`
  `ANSI_RED`
  `static final String`
  `ANSI_RESET`
  `static final String`
  `ANSI_YELLOW`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SudokuPrinter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `printMultiDoku(RenderableMultidoku rm, Symbols symbols, int blockWidth, int blockHeight)`
  `static void`
  `printMultiDoku(RenderableMultidoku rm, List<String> listSymbols, int blockWidth, int blockHeight)`
  `static void`
  `printMultiDoku(MultiDoku doku, int blockWidth, int blockHeight, Symbols symbols)`
  `static void`
  `printMultiDokuWithIndex(RenderableMultidoku rm, List<String> listSymbols, int blockWidth, int blockHeight)`
  `static void`
  `printMultiDokuWithIndex(MultiDoku doku, int blockWidth, int blockHeight, Symbols symbols)`
  `static void`
  `printRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, Symbols symbols)`
  `static void`
  `printRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, List<String> listSymbols)`
  `static void`
  `printRectangleSudokuWithIndex(Sudoku s, int blockWidth, int blockHeight, List<String> listSymbols)`
  `static String`
  `toStringRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, Symbols symbols)`
  `static String`
  `toStringRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, List<String> listSymbols)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANSI_RESET

    public static final String ANSI_RESET
    See Also:
      - Constant Field Values

  - ### ANSI_RED

    public static final String ANSI_RED
    See Also:
      - Constant Field Values

  - ### ANSI_GREEN

    public static final String ANSI_GREEN
    See Also:
      - Constant Field Values

  - ### ANSI_YELLOW

    public static final String ANSI_YELLOW
    See Also:
      - Constant Field Values

  - ### ANSI_BLUE

    public static final String ANSI_BLUE
    See Also:
      - Constant Field Values

  - ### ANSI_PURPLE

    public static final String ANSI_PURPLE
    See Also:
      - Constant Field Values

  - ### ANSI_CYAN

    public static final String ANSI_CYAN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SudokuPrinter

    public SudokuPrinter()

- ## Method Details

  - ### printRectangleSudoku

    public static void printRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, Symbols symbols)

  - ### printRectangleSudoku

    public static void printRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, List<String> listSymbols)

  - ### printRectangleSudokuWithIndex

    public static void printRectangleSudokuWithIndex(Sudoku s, int blockWidth, int blockHeight, List<String> listSymbols)

  - ### printMultiDoku

    public static void printMultiDoku(RenderableMultidoku rm, Symbols symbols, int blockWidth, int blockHeight)

  - ### printMultiDoku

    public static void printMultiDoku(RenderableMultidoku rm, List<String> listSymbols, int blockWidth, int blockHeight)

  - ### printMultiDokuWithIndex

    public static void printMultiDokuWithIndex(RenderableMultidoku rm, List<String> listSymbols, int blockWidth, int blockHeight)

  - ### toStringRectangleSudoku

    public static String toStringRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, Symbols symbols)

  - ### toStringRectangleSudoku

    public static String toStringRectangleSudoku(Sudoku s, int blockWidth, int blockHeight, List<String> listSymbols)

  - ### printMultiDoku

    public static void printMultiDoku(MultiDoku doku, int blockWidth, int blockHeight, Symbols symbols)

  - ### printMultiDokuWithIndex

    public static void printMultiDokuWithIndex(MultiDoku doku, int blockWidth, int blockHeight, Symbols symbols)